--- debathena-finger-9.4.10.orig/debian/compat
+++ debathena-finger-9.4.10/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-finger-9.4.10.orig/debian/control.in
+++ debathena-finger-9.4.10/debian/control.in
@@ -0,0 +1,16 @@
+Source: debathena-finger
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@, comerr-dev, libkrb5-dev, libhesiod-dev, libzephyr-dev, libzephyr3-krb
+Standards-Version: 3.7.2
+
+Package: debathena-finger
+Architecture: any
+Provides: finger
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: The Athena version of the normal finger utility
+ The finger command displays information about local and remote users in 
+ a convenient format.  The Athena version contains improvements to 
+ locate Athena users and knows about the Athena-specific user database 
+ features.
--- debathena-finger-9.4.10.orig/debian/copyright
+++ debathena-finger-9.4.10/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-finger-9.4.10.orig/debian/control
+++ debathena-finger-9.4.10/debian/control
@@ -0,0 +1,16 @@
+Source: debathena-finger
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf, quilt, patchutils (>= 0.2.25), cdbs (>= 0.4.27-1), debathena-config-build-common, comerr-dev, libkrb5-dev, libhesiod-dev, libzephyr-dev, libzephyr3-krb
+Standards-Version: 3.7.2
+
+Package: debathena-finger
+Architecture: any
+Provides: finger
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: The Athena version of the normal finger utility
+ The finger command displays information about local and remote users in 
+ a convenient format.  The Athena version contains improvements to 
+ locate Athena users and knows about the Athena-specific user database 
+ features.
--- debathena-finger-9.4.10.orig/debian/rules
+++ debathena-finger-9.4.10/debian/rules
@@ -0,0 +1,18 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+DEBATHENA_DIVERT_PACKAGES += \
+	debathena-finger
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
+include /usr/share/cdbs/1/rules/debathena-divert.mk
+
+DEB_CONFIGURE_EXTRA_FLAGS += --with-krb4=$(shell krb5-config --prefix krb4) --with-hesiod --with-zephyr
+
+common-install-impl::
+	mv $(DEB_DESTDIR)/usr/bin/finger $(DEB_DESTDIR)/usr/bin/finger.debathena
+
+clean::
+	rm -f configure
--- debathena-finger-9.4.10.orig/debian/patches/series
+++ debathena-finger-9.4.10/debian/patches/series
@@ -0,0 +1 @@
+finger-silence-zlocate.patch
--- debathena-finger-9.4.10.orig/debian/patches/finger-silence-zlocate.patch
+++ debathena-finger-9.4.10/debian/patches/finger-silence-zlocate.patch
@@ -0,0 +1,13 @@
+Index: debathena-finger-9.4.10/finger.c
+===================================================================
+--- debathena-finger-9.4.10.orig/finger.c	2007-07-12 22:49:34.000000002 -0400
++++ debathena-finger-9.4.10/finger.c	2007-07-12 22:50:58.000000002 -0400
+@@ -499,8 +499,6 @@
+ 			(void) strcat(curname, ZGetRealm());
+ 
+ 			if ((state = ZLocateUser(curname, &znloc,ZAUTH)) != ZERR_NONE) {
+-				com_err("finger", state, "\nFailure in \
+-ZLocateUser");
+ 				break;
+ 			}
+ 			q->zlocation = 1;
--- debathena-finger-9.4.10.orig/debian/changelog
+++ debathena-finger-9.4.10/debian/changelog
@@ -0,0 +1,18 @@
+debathena-finger (9.4.10-0debathena3) unstable; urgency=low
+
+  * Undivert finger binary and manpage on upgrade from pre-9.4 versions.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Mon, 06 Aug 2007 02:24:12 -0400
+
+debathena-finger (9.4.10-0debathena2) unstable; urgency=low
+
+  * Move finger to finger.debathena.
+  * Silence errors on failure to zlocate users.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Thu, 12 Jul 2007 22:53:41 -0400
+
+debathena-finger (9.4.10-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 01:07:48 -0500
--- debathena-finger-9.4.10.orig/debian/debathena-finger.postinst
+++ debathena-finger-9.4.10/debian/debathena-finger.postinst
@@ -0,0 +1,43 @@
+#!/bin/sh
+# postinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+#DEBHELPER#
+
+case "$1" in
+    configure)
+	if [ -n "$2" ] && dpkg --compare-versions "$2" '<<' '9.4'; then
+	    # This diversion was moved to debathena-finger-config.
+	    undivert_unlink /usr/bin/finger
+	    undivert_unlink /usr/share/man/man1/finger .1.gz
+	fi
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+exit 0
+
+
